[![Gem Version](https://badge.fury.io/rb/makeki.svg)](https://badge.fury.io/rb/makeki)

# Makeki
A framework that feels familiar but simpler to navigate as you build your app. That's the goal. Navigating through multiple directories to complete a feature feels unnecessary. This is an experiment to see if it's possible to simplify some things that can take take away from focus while programming. 
## Installation

Add this line to your application's Gemfile:

```ruby
gem 'makeki'
```

And then execute:

    $ bundle 

Or install it yourself as:

    $ gem install makeki

## Goals

The folder structure of this framework will be a little bit different than that of Rails, of which I am basing this entire app from. I notice that I have to navigate to multiple folders in a way that doesn't feel streamlined enough. It should be simpler in my opinion. Certain things could be grouped differently. Everything that is in Rails will be in here but structured differently, simpler in terms of navigating and sequence. 

## Current Objectives
- Basic Architecture
- Basic Nomencalture for directories that seldom get used in the course of building an application so they are out of the way and I don't have it in my head that I am supposed to do something with them when in fact I never use them unless it's at a more sophisticated level.



## Future Objectives
- Structuring routes and controllers together where possible.
- Creating Prime-Routes
- Creating directories with routes and controllers, maybe models.
- Create simplified pathway for Front-End incorporation to newer frameworks.

## Usage

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/cronwel/makeki. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Makeki project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/makeki/blob/master/CODE_OF_CONDUCT.md).
# makeki
